## hdf-eos5 5.1.13.dfsg.1

=== Makefile ===
#----------------------------------------------------------------------------
# file:         makefile for HDF-EOS5 (for internal ECS usage only)
#
# environment:  requires environment established by the ECS .buildrc file
# 
# environment variables dependencies:
#   MAKECMD  make command to be run on make files
#   ARCH     architecture (i.e. hardware/os type)
#
#
# author:  Guru Tej S. Khalsa / Space Applications Corp.
#          Abe Taaheri / Emergent Information Technologies, Inc.
#
# history:
#       10-Nov-1997 GTSK Initital version
#       11-Apr-2001 AT   modified for HDFEOS5 and HDF5
#       19-Jul-2001 DaW  Modified because it broke the Build
#       05-Apr-2004 AT   Modified for DAAC Linux Delivery
#
#
# notes:
#       1) This file is only for use by ECS Configuration Management (CM)
#	   personnel and software.  This file should not be distributed
#	   as part of the standard HDF-EOS5 delivery.
#----------------------------------------------------------------------------

# define shell to be used (use ksh so we can use the "." command)

SHELL=/bin/ksh

# define MAKE to be equivalant to $(MAKECMD)

MAKE=$(MAKECMD)

# define the location of the HDF-EOS5 STAGE area

HE_STAGE=/ecs/formal/STAGE/hdfeos5

# define the location of the standard HDF-EOS5 development area

HE_HOME=/ecs/hdfeos5

# define HDF5 base directory

#HE_ENV=$(ARCH)

# define the location of tar files

TAR_HOME=$(HE_HOME)/install

HDF_BASE=/ecs/cots/hdf

# define current HDF version

CURRENT_HDF4=HDF4.2r3
CURRENT_HDF=hdf5-1.8.3
CURRENT_SZIP=szip-2.1

# define SDP Toolkit home directory

TK_HOME=/ecs/formal/TOOLKIT

# name of tar files for delivery
HDFEOS5_SOURCE_TAR=HDF-EOS5.1.13.tar
HDFEOS5_TESTDRIVERS_TAR=HDF-EOS5.1.13_TESTDRIVERS.tar

# define the default compiler optimization level
OPT_LVL=-g

# define default target

default:
	@echo "This file is for use by ECS Configuration Management processes only."

# define a target to build BOTH variations (or "flavors") of HDF-EOS5
# for a given "brand" (i.e. architecture type)

full: opt debug

# define a target to build the "debug" variation (or "flavor") of HDF-EOS5
# for a given "brand" (i.e. architecture type) ("debug" means the library
# will be compiled for use in a souce code debugger)

debug:
	@$(MAKE) flavor_dir FLAVOR=$@
	@export use_flavor=1; $(MAKE) $(TARGET) OPT_LVL=-g FLAVOR=$@

# define a target to build the "optimized" variation (or "flavor") of
# HDF-EOS5 for a given "brand" (i.e. architecture type) ("optimized" means the
# library will be optimized for execution speed by the compiler)

opt:
	@$(MAKE) flavor_dir FLAVOR=$@
	@export use_flavor=1; $(MAKE) $(TARGET) OPT_LVL=-O FLAVOR=$@

# define standard CM targets

# NOTE: The standard targets defined by ECS CM are:
#       BuildImake, ProductHs, ProductLibs, LastPass, Deliver
#
#       Here the above targets are shadowed by the targets:
#       BuildImake2, ProductHs2, ProductLibs2, LastPass2, Deliver2
#       respectively.  The original targets only call the target
#       HE_ENV which sets up the HDF-EOS5 environment and then
#       builds the shadow target.
#       For SGI 32 Falvor build or linux 12 Falvor build these targets
#       renamed to FL_......


BuildImake:
	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2

BuildImake2:
	@echo "No Imakefile to build."

ProductHs:
	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2

ProductHs2:
	@echo "No header files to generate or promote."

ProductLibs:
	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2

ProductLibs2:
	@if [ ! -e $(HDFEOS5_HOME)/lib/$(ARCH) ] ; then	\
		cd $(HDFEOS5_HOME)/lib;			\
		ln -s `basename $(HDFEOS5_LIB)` $(ARCH);\
	fi
	@cd $(HDFEOS5_HOME)/src; $(MAKE) $(MFLAGS) all
	@cd $(TK_HOME)/src/GCT/freeware; $(MAKE) $(MFLAGS) gctp5

LastPass:
	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2

LastPass2:
	@if [ ! -e $(HDFEOS5_HOME)/bin/$(ARCH) ] ; then	\
		cd $(HDFEOS5_HOME)/bin;			\
		ln -s `basename $(HDFEOS5_BIN)` $(ARCH);\
	fi
	@cd $(HDFEOS5_HOME)/util; $(MAKE) $(MFLAGS) all

#	@echo "No utilites to build."


FL_BuildImake:
	@$(MAKE) $(MFLAGS) FL_HE_ENV TARGET=$@2

FL_BuildImake2:
	@echo "No Imakefile to build."

FL_ProductHs:
	@$(MAKE) $(MFLAGS) FL_HE_ENV TARGET=$@2

FL_ProductHs2:
	@echo "No header files to generate or promote."

FL_ProductLibs:
	@$(MAKE) $(MFLAGS) FL_HE_ENV TARGET=$@2

FL_ProductLibs2:
	@if [ ! -e $(HDFEOS5_HOME)/lib/$(ARCH) ] ; then	\
		cd $(HDFEOS5_HOME)/lib;			\
		ln -s `basename $(HDFEOS5_LIB)` $(ARCH);\
	fi
	@cd $(HDFEOS5_HOME)/src; $(MAKE) $(MFLAGS) all
	@cd $(TK_HOME)/src/GCT/freeware; $(MAKE) $(MFLAGS) gctp5

FL_LastPass:
	@$(MAKE) $(MFLAGS) FL_HE_ENV TARGET=$@2

FL_LastPass2:
	@if [ ! -e $(HDFEOS5_HOME)/bin/$(ARCH) ] ; then	\
		cd $(HDFEOS5_HOME)/bin;			\
		ln -s `basename $(HDFEOS5_BIN)` $(ARCH);\
	fi
	@cd $(HDFEOS5_HOME)/util; $(MAKE) $(MFLAGS) all

#	@echo "No utilites to build."



Deliver:
	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2

Deliver2:
#	cp -rf /ecs/hdfeos/gctp .
#	chmod 0755 gctp/src/* gctp/include/*
	tar cvfX $(TAR_HOME)/$(HDFEOS5_SOURCE_TAR) $(HE_HOME)/make_exclude_list -C /ecs hdfeos5
	tar cvfX $(TAR_HOME)/$(HDFEOS5_TESTDRIVERS_TAR)  $(HE_HOME)/testdrivers/make_exclude_list -C /ecs  hdfeos5/testdrivers

DaacDeliver:
	@if [ $(ARCH) = "sgi6n32" ] ; then				    \
		for arch in sgi6n32 sgi6 ; do			    	    \
			for targ in FL_ProductHs FL_ProductLibs FL_LastPass ; do	    \
				$(MAKECMD) full TARGET=$$targ ARCH=$$arch;  \
			done;						    \
		done;							    \
	elif [ $(ARCH) = "irix65" ] ; then				    \
		for arch in sgi6n32 sgi6 ; do			            \
			for targ in FL_ProductHs FL_ProductLibs FL_LastPass ; do	    \
				$(MAKECMD) full TARGET=$$targ ARCH=$$arch;  \
			done;						    \
		done;                                                       \
	else								    \
		for targ in FL_ProductHs FL_ProductLibs FL_LastPass ; do		    \
			$(MAKECMD) full TARGET=$$targ;			    \
		done;							    \
	fi

LinuxDaacDeliver:  
	@if [ $(ARCH) = "linux" ] ; then				\
		for arch in linux ; do					\
			for targ in FL_ProductHs FL_ProductLibs FL_LastPass ; do	\
			$(MAKECMD) full TARGET=$$targ ARCH=$$arch;	\
		done ;							\
		done ;							\
	fi



# this is a special target used to establish the HDF-EOS5 environment

FL_HE_ENV:
	@case $(ARCH) in					\
		hp10)    brand=hp;      ;;			\
		sgi6n32) brand=sgi32; sgi_mode=n32;  ;;		\
		irix65)  brand=irix65; sgi_mode=65   ;;         \
		sgi6)    brand=sgi64; sgi_mode=64;  ;;		\
		sun5.5)  brand=sun5;    ;;			\
		sun5.8)  brand=sun5.8;    ;;			\
		linux)   LINUX_BRAND=linux; brand=$(ARCH) ;;  \
		*)       brand=$(ARCH); ;;			\
	esac;							\
	postfix=""; 						\
	opt_flag=-O;						\
	case $(FLAVOR) in					\
		*debug)						\
			opt_flag=-g;				\
			postfix=_debug;				\
		;;						\
	esac;							\
	HDFEOS5_HOME=$(HE_HOME);				\
	LNX_COMP_FLAG="-m32";					\
	export LNX_COMP_FLAG;					\
	opt_flag=$(OPT_LVL);					\
	export HDFEOS5_HOME sgi_mode opt_flag LINUX_BRAND;	\
	. $(HE_HOME)/bin/$${brand}$$postfix/hdfeos_env.ksh;	\
	MAKE="$(MAKECMD)";					\
	AR='ar r';						\
	HDF5INC=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/include;	\
	HDF5LIB=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/lib		\
	PGSINC=$(TK_HOME)/include;				\
	SZIPLIB=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/lib;	\
	SZIPINC=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/include;	\
	export MAKE AR HDF5INC PGSINC SZIPINC SZIPLIB HDF5LIB;	\
	HDFINC=$(HDF_BASE)/$$brand/$(CURRENT_HDF4)/include;	\
	HDFLIB=$(HDF_BASE)/$$brand/$(CURRENT_HDF4)/lib		\
	export HDFINC HDFLIB;					\
	$(MAKE) $(MFLAGS) $(TARGET)


HE_ENV:
	@case $(ARCH) in					\
		hp10)    brand=hp;      ;;			\
		sgi6n32) brand=sgi32; sgi_mode=n32;  ;;		\
		irix65)  brand=irix65; sgi_mode=65   ;;         \
		sgi6)    brand=sgi64; sgi_mode=64;  ;;		\
		sun5.5)  brand=sun5;    ;;			\
		sun5.8)  brand=sun5.8;    ;;			\
		linux)   LINUX_BRAND=linux; brand=$(ARCH) ;;  \
		*)       brand=$(ARCH); ;;			\
	esac;							\
	HDFEOS5_HOME=$(HE_HOME);				\
	opt_flag=$(OPT_LVL);					\
	export HDFEOS5_HOME sgi_mode opt_flag LINUX_BRAND;	\
	. $(HE_HOME)/bin/tmp/hdfeos_env.ksh.tmp;		\
	if [ $(ARCH) = "linux" ] ; then				\
	CC="gcc -m32";						\
	export CC;						\
	LNX_COMP_FLAG="-m32";					\
	export LNX_COMP_FLAG;					\
	fi;							\
	MAKE="$(MAKECMD)";					\
	AR='ar r';						\
	HDF5INC=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/include;	\
	HDF5LIB=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/lib		\
	PGSINC=$(TK_HOME)/include;				\
	SZIPLIB=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/lib;	\
	SZIPINC=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/include;	\
	export MAKE AR HDF5INC PGSINC SZIPINC SZIPLIB HDF5LIB;	\
	HDFINC=$(HDF_BASE)/$$brand/$(CURRENT_HDF4)/include;	\
	HDFLIB=$(HDF_BASE)/$$brand/$(CURRENT_HDF4)/lib		\
	export HDFINC HDFLIB;					\
	$(MAKE) $(MFLAGS) $(TARGET)

flavor_dir:
	@sgi_mode=sgi32;					\
	LNX_COMP_FLAG="-m32";			                \
	export LNX_COMP_FLAG;					\
	opt_flag=-O;						\
	postfix="";						\
	case $(FLAVOR) in					\
		*debug)						\
			opt_flag=-g;				\
			postfix=_debug;				\
		;;						\
	esac;							\
	case $(ARCH) in						\
		hp10)						\
			brand=hp;				\
		;;						\
		sgi6n32)					\
			brand=sgi32;				\
			sgi_mode=n32;				\
		;;						\
		irix65)                                         \
			brand=irix65;				\
			sgi_mode=65;				\
		;;						\
		sgi6)						\
			brand=sgi64;				\
			sgi_mode=64;				\
		;;						\
		sun5.5)						\
			brand=sun5;				\
		;;						\
		sun5.8)						\
			brand=sun5.8;				\
		;;						\
		*)						\
			brand=$(ARCH);				\
		;;						\
	esac;							\
	he_obj=$(HE_HOME)/obj/$${brand}$$postfix;		\
	he_lib=$(HE_HOME)/lib/$${brand}$$postfix;		\
	he_bin=$(HE_HOME)/bin/$${brand}$$postfix;		\
	tmpdir=$(HE_HOME)/bin/tmp;				\
	if [ ! -d $$he_obj ] ; then				\
		mkdir $$he_obj;					\
	fi;							\
	if [ ! -d $$he_lib ] ; then				\
		mkdir $$he_lib;					\
	fi;							\
	if [ ! -d $$he_bin ] ; then				\
		mkdir $$he_bin;					\
	fi;							\
	hdf5lib=$(HDF_BASE)/$${brand}/$(CURRENT_HDF)/lib;	\
	hdf5inc=$(HDF_BASE)/$${brand}/$(CURRENT_HDF)/include;	\
	sziplib=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/lib;	\
	szipinc=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/include;	\
	if [ ! -f $$he_bin/hdfeos_env.csh ] ; then			\
		cd $$he_bin;						\
		echo "setenv HDFEOS5_HOME $(HE_HOME)" > hdfeos_env.csh;	\
		echo "setenv HDF5LIB $$hdf5lib" >> hdfeos_env.csh;	\
		echo "setenv HDF5INC $$hdf5inc" >> hdfeos_env.csh;	\
		echo "setenv SZIPLIB $$sziplib" >> hdfeos_env.csh;	\
		echo "setenv SZIPINC $$szipinc" >> hdfeos_env.csh;	\
		echo "set sgi_mode=$$sgi_mode" >> hdfeos_env.csh;	\
		echo "set opt_flag=$$opt_flag" >> hdfeos_env.csh;	\
		echo "set use_flavor=1" >> hdfeos_env.csh;		\
		sed "s^LNX_CMP_FLAG^$$LNX_COMP_FLAG^" 			\
		$$tmpdir/hdfeos_env.csh.tmp >> hdfeos_env.csh;		\
	fi;								\
	if [ ! -f $$he_bin/hdfeos_env.ksh ] ; then			\
		cd $$he_bin;						\
		echo "HDFEOS5_HOME=$(HE_HOME)" > hdfeos_env.ksh;	\
		echo "HDF5LIB=$$hdf5lib" >> hdfeos_env.ksh;		\
		echo "HDF5INC=$$hdf5inc" >> hdfeos_env.ksh;		\
		echo "SZIPLIB=$$sziplib" >> hdfeos_env.ksh;		\
		echo "SZIPINC=$$szipinc" >> hdfeos_env.ksh;		\
		echo "sgi_mode=$$sgi_mode" >> hdfeos_env.ksh;		\
		echo "opt_flag=$$opt_flag" >> hdfeos_env.ksh;		\
		echo "use_flavor=1" >> hdfeos_env.ksh;			\
		sed "s^LNX_CMP_FLAG^$$LNX_COMP_FLAG^" 			\
		$$tmpdir/hdfeos_env.ksh.tmp >> hdfeos_env.ksh;		\
	fi

## hdf-eos5 2.0

=== debian/changelog ===
hdf-eos5 (2:2.0-5) unstable; urgency=medium

  * Team Upload
  * Add debian/gbp.conf
  * Add debian/salsa-ci.yml
  * Wrap-and-sort -ast
  * Remove obsolete dh-buildinfo build dep
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Oct 2025 17:25:08 +0200

hdf-eos5 (2:2.0-4) unstable; urgency=medium

  * Set Debian Science Maint. as maintainer
  * Standards-Version: 4.7.0; no changes required
  * Move from pkgconfig -> pkgconf

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Jul 2024 12:12:36 +0100

hdf-eos5 (2:2.0-3) unstable; urgency=medium

  * Redo patch for t64 transition that was accidentally dropped.
    Closes: #1063118, #1068698

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Apr 2024 10:53:23 +0100

hdf-eos5 (2:2.0-2) unstable; urgency=medium

  * implicit-decl.patch: Fix FTBFS from implicit fn decl. Closes: #1066412
  * Standards-Version: 4.6.2
  * Typo in VCS definitions in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Mar 2024 17:52:15 +0000

hdf-eos5 (2:2.0-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Mon, 05 Feb 2024 07:27:20 +0000

hdf-eos5 (2:2.0-1) unstable; urgency=medium

  * New upstream release, with epoch change
    - rebase patches
    - mutex.patch now upstream
  * Standards-Version: 4.6.0; on changes required
  * Disable doc HDF-EOS-DEFINITION.txt; missing in this release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Apr 2022 13:47:42 +0100

hdf-eos5 (5.1.16.dfsg.1-4) unstable; urgency=medium

  * Use debhelper level 13
  * mutex.patch: Needed for gcc10, for a unique defintion of
    GLobaalMutex. Closes: #957239
  * Set HDF5_USE_SHLIB=yes in d/rules to link purely dynamically
    (needed for new binutils)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Jul 2020 16:39:27 +0100

hdf-eos5 (5.1.16.dfsg.1-3) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * Use https for Homepage:
  * Build-depend on gfortran  | fortran-compiler
  * Drop hard-coded xz compression
  * Add libgctp-dev to Depends on -dev pkg as we use the library
  * Use debhelper-compat (=12)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 May 2020 18:07:46 +0100

hdf-eos5 (5.1.16.dfsg.1-2) unstable; urgency=medium

  * Set VCS to point to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 31 May 2018 16:26:52 +0100

hdf-eos5 (5.1.16.dfsg.1-1) unstable; urgency=medium

  * New upstream release
  * szip_fix.patch now included upstream
  * hid_t* patches updated.
  * Standards-Version: 4.1.3; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jan 2018 12:13:37 +0000

hdf-eos5 (5.1.15.dfsg.1-9) unstable; urgency=medium

  * Standards-Version: 4.1.1; no changes required
  * Now at debhelper level 10. Drop unnecessary build-deps on auto*
  * Drop build-depends on transitional libhdf5-serial-dev. Closes: #879140

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Oct 2017 09:08:15 +0100

hdf-eos5 (5.1.15.dfsg.1-8.1) unstable; urgency=medium

  * Non-maintainer upload
  * New patch hid_t.patch: hid_t isn't native int anymore (closes: #846853)

 -- Gilles Filippini <pini@debian.org>  Sat, 03 Dec 2016 01:48:32 +0100

hdf-eos5 (5.1.15.dfsg.1-8) unstable; urgency=medium

  * Patch to build against hdf5-1.10.1: use hid_t not int (hid_t == int64_t
    now).
  * Don't add bash as B-Depend. Its essential.
  * chrpath -d to remove rpaths.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Jun 2016 11:29:55 +0100

hdf-eos5 (5.1.15.dfsg.1-6) experimental; urgency=medium

  * Now build with szip support. Closes: #813160.
  * Delete obsolete links file (replace by multiarch rules in ./rules)
    Closes: #760279.
  * Standards-Version: 3.9.7
  * Updated watch file.
  * Add Vcs-Git to repo in debian-science

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Feb 2016 15:34:04 +0000

hdf-eos5 (5.1.15.dfsg.1-5) experimental; urgency=medium

  * build against hdf5-1.8.15

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Aug 2015 00:57:59 +0100

hdf-eos5 (5.1.15.dfsg.1-4) unstable; urgency=medium

  * Force rebuild against hdf5 libs in unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Aug 2014 09:52:53 +0100

hdf-eos5 (5.1.15.dfsg.1-3) unstable; urgency=low

  [ Gilles Filippini ]
  * Support hdf5 1.8.13 new packaging layout. Closes: #756671.
  * Fix patch libtool_fixes.patch to not drop predefined LDFLAGS.

  [ Alastair McKinstry ]
  * Cleanup of debian/rules, removing unused defintions and includes.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Aug 2014 10:20:37 +0100

hdf-eos5 (5.1.15.dfsg.1-2) unstable; urgency=medium

  * Fix for missing function H5_EHHEisHE5 : misplaced ifdef
  * Link against -lpthread

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Jul 2014 12:59:35 +0100

hdf-eos5 (5.1.15.dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.5
  * Remove (now unnecessary) Pre-Depends for Multi-Arch.
  * Use debhelper 9; DH_COMPAT=9; remove lintian warning.
  * Use 'xz' compression.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 15 Jun 2014 05:12:12 +0100

hdf-eos5 (5.1.14+dfsg.1-1) unstable; urgency=low

  * New upstream release. Rebuild Closes: #680400.
  * Move to Standards-Version: 3.9.3
  * Add version mangling to watch file.
  * Remove Multi-Arch: same from -dev package. Closes: #670002.
  * Remove broken links in -dev package.
  * -lgctp removed by hdl_hl.patch hard-coding LIBS. Add -lgctp back.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Sep 2012 18:50:19 +0100

hdf-eos5 (5.1.13.dfsg.1-3) unstable; urgency=low

  * Ensure libhdfeos5 is linked against hdf5_hl. Closes: #658310.
  * Ditto: Add to pkg-config file.
  * Add lintian-override for debhelper version 9 warning.
  * Add DEP-3 headers to patches.



=== debian/control ===
Source: hdf-eos5
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Alastair McKinstry <mckinstry@debian.org>,
Standards-Version: 4.7.2
Homepage: https://www.hdfeos.org
Vcs-Browser: https://salsa.debian.org/science-team/hdf-eos5
Vcs-Git: https://salsa.debian.org/science-team/hdf-eos5.git
Build-Depends:
 debhelper-compat (= 13),
 chrpath,
 gfortran | fortran-compiler,
 libaec-dev,
 libgctp-dev,
 libhdf5-dev | libhdf5-mpi-dev,
 libjpeg-dev,
 libtool,
 zlib1g-dev,

Package: libhe5-hdfeos0t64
Provides:
 ${t64:Provides},
Replaces:
 libhe5-hdfeos0,
Breaks:
 libhe5-hdfeos0 (<< ${source:Version}),
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Earth Observation System extensions to HDF5
 HDF-EOS5 is a software library designed built on HDF5 to support EOS-specific
 data structures, namely Grid, Point, and Swath. The new data structures
 are constructed from standard HDF data objects, using EOS conventions, through
 the use of a software library [1,4]. A key feature of HDF-EOS files is that
 instrument-independent services, such as subsetting by geolocation, can be
 applied to the files across a wide variety of data products.
 The library is extensible and new data structures can be added.

Package: libhe5-hdfeos-dev
Architecture: any
Section: libdevel
Depends:
 libgctp-dev,
 libhe5-hdfeos0t64 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 pkgconf,
Description: Development files for the HDF-EOS5 library
 HDF-EOS5 is a software library designed built on HDF5 to support EOS-specific
 data structures, namely Grid, Point, and Swath. The new data structures
 are constructed from standard HDF data objects, using EOS conventions, through
 the use of a software library. A key feature of HDF-EOS files is that
 instrument-independent services, such as subsetting by geolocation, can be
 applied to the files across a wide variety of data products.
 .
 This package contains include files and static libraries for HDF-EOS5.

=== debian/rules ===
#!/usr/bin/make -f

# Comment out this line for debugging
export DH_VERBOSE:=1

# The magic rule for debhelper
%:
	dh $@

export HDF5_USE_SHLIB=yes
export CC=/usr/bin/h5cc

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

# Enforce shared lib linking# Enforce shared lib linking# Enforce shared lib linking# Enforce shared lib linking
export HDF5_USE_SHLIB=yes

# Disable checks: known bad test case ignored this release
DEB_CONFIGURE_EXTRA_FLAGS :=  --enable-shared --with-pic --with-szlib=/usr/include,$(LIBDIR)

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  DEB_CONFIGURE_EXTRA_FLAGS += --with-hdf5=/usr/include/hdf5/serial,/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

export DEB_CFLAGS_MAINT_APPEND=-D_HDFEOS5_THREADSAFE -Df2cFortran
export DEB_LDFLAGS_MAINT_APPEND=-lpthread

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
	# Needed for the pthreads tests
	cp  samples/simple.txt testdrivers/threads

override_dh_auto_test:
	dh_auto_test || echo "Ignoring test failures"
	find debian/ -name core -delete

execute_after_dh_fixperms:
	rm -f debian/libhe5-hdfeos-dev/usr/share/doc/libhe5-hdfeos-dev/examples/*.o
	chmod -x debian/libhe5-hdfeos-dev/usr/share/doc/libhe5-hdfeos-dev/examples/*
	chrpath -d debian/libhe5-hdfeos0t64/${LIBDIR}/libhe5_hdfeos.so.0.0.0

## hdf-eos5 5.1.12.dfsg.2

=== debian/control ===
Source: hdf-eos5
Section: libs
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Standards-Version: 3.9.2
Homepage: http://www.hdfeos.org
Build-Depends: cdbs, debhelper (>> 7), dh-buildinfo,  gfortran, libhdf5-serial-dev, libjpeg-dev, zlib1g-dev, autotools-dev, libtool, libgctp-dev, chrpath, autoconf, automake

Package: libhe5-hdfeos0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Earth Observation System extensions to HDF5
 HDF-EOS5 is a software library designed built on HDF5 to support EOS-specific
 data structures, namely Grid, Point, and Swath. The new data structures 
 are constructed from standard HDF data objects, using EOS conventions, through
 the use of a software library [1,4]. A key feature of HDF-EOS files is that
 instrument-independent services, such as subsetting by geolocation, can be
 applied to the files across a wide variety of data products. 
 The library is extensible and new data structures can be added.

Package: libhe5-hdfeos-dev
Architecture: any
Section: libdevel
Depends: libhe5-hdfeos0 (= ${binary:Version}), ${misc:Depends}
Recommends: pkg-config
Description:  Development files for the HDF-EOS5 library
 HDF-EOS5 is a software library designed built on HDF5 to support EOS-specific
 data structures, namely Grid, Point, and Swath. The new data structures 
 are constructed from standard HDF data objects, using EOS conventions, through
 the use of a software library. A key feature of HDF-EOS files is that
 instrument-independent services, such as subsetting by geolocation, can be
 applied to the files across a wide variety of data products. 
 .
 This package contains include files and static libraries for HDF-EOS5.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
# include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/autotools.mk


# Disable checks: known bad test case ignored this release
#DEB_MAKE_CHECK_TARGET := check
DEB_MAKE_CLEAN_TARGET := clean distclean maintainer-clean
DEB_CONFIGURE_EXTRA_FLAGS :=  --enable-shared --with-pic
DEB_AUTO_UPDATE_LIBTOOL := pre
DEB_CONFIGURE_SCRIPT_ENV += \
    CFLAGS="-D_HDFEOS5_THREADSAFE" \
    CPPFLAGS="-Df2cFortran -I/usr/include/hdf"

clean::
	[ ! -f Makefile ] || $(MAKE) distclean

makebuilddir/libhe5-hdfeos-dev::
	# Needed for the pthreads tests
	cp  samples/simple.txt testdrivers/threads
	# Need to prod quilt for some reason.
	# QUILT_PATCHES=debian/patches quilt push -a
	autoreconf -is

configure/libhe5-hdfeos-dev::
	# Delete the libtool crap and install debian libtool
	rm -f libtool
	ln -sf /usr/bin/libtool .

install/libhe5-hdfeos-dev::
	$(MAKE) -C samples clean
	cp -a samples/* debian/libhe5-hdfeos-dev/usr/share/doc/libhe5-hdfeos-dev/examples
	chmod -x debian/libhe5-hdfeos-dev/usr/share/doc/libhe5-hdfeos-dev/examples/*

install/libhe5-hdfeos0::
	mv debian/tmp/usr/lib/libhe5_hdfeos.so.0.0.0  debian/libhe5-hdfeos0/usr/lib/libhe5_hdfeos.so.0.0.0
	ln -sf libhe5_hdfeos.so.0.0.0 debian/libhe5-hdfeos0/usr/lib/libhe5_hdfeos.so.0
	

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo

## hdf-eos5 5.1.13.dfsg.1

=== debian/changelog ===
hdf-eos5 (5.1.13.dfsg.1-3ubuntu1) quantal; urgency=low

  * Turn lots of overlapping strcpy calls into memmove (LP: #935410).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Oct 2012 16:24:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: hdf-eos5
 Section: libs
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Standards-Version: 3.9.2
 Homepage: http://www.hdfeos.org
-Build-Depends: cdbs, debhelper (>> 7), dh-buildinfo,  gfortran, libhdf5-serial-dev, libjpeg-dev, zlib1g-dev, autotools-dev, libtool, libgctp-dev, chrpath, autoconf, automake
+Build-Depends: debhelper (>> 8.1.3~), dh-buildinfo, gfortran, libhdf5-serial-dev, libjpeg-dev, zlib1g-dev, autotools-dev, libtool, libgctp-dev, chrpath, autoconf, automake, dh-autoreconf
 
 Package: libhe5-hdfeos0
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Earth Observation System extensions to HDF5
  HDF-EOS5 is a software library designed built on HDF5 to support EOS-specific
@@ -20,6 +23,7 @@
 
 Package: libhe5-hdfeos-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libhe5-hdfeos0 (= ${binary:Version}), ${misc:Depends}
 Recommends: pkg-config

=== debian/watch ===
 # format version number, currently 3; this line is compulsory!
version=3

# This the format for an FTP site:
# Full-site-with-pattern  [Version  [Action]]
ftp://edhs1.gsfc.nasa.gov/edhs/hdfeos5/HDF-EOS5\.(.*)\.tar\.Z \
	debian uupdate

## hdf-eos5 5.1.14+dfsg.1

=== Makefile ===
--- 
+++ 
@@ -61,8 +61,8 @@
 TK_HOME=/ecs/formal/TOOLKIT
 
 # name of tar files for delivery
-HDFEOS5_SOURCE_TAR=HDF-EOS5.1.13.tar
-HDFEOS5_TESTDRIVERS_TAR=HDF-EOS5.1.13_TESTDRIVERS.tar
+HDFEOS5_SOURCE_TAR=HDF-EOS5.1.14.tar
+HDFEOS5_TESTDRIVERS_TAR=HDF-EOS5.1.14_TESTDRIVERS.tar
 
 # define the default compiler optimization level
 OPT_LVL=-g

=== src/Makefile ===
# Copyright (C) 1996 Hughes and Applied Research Corporation
#
# Permission to use, modify, and distribute this software and its
# documentation for any purpose without fee is hereby granted, provided that
# the above copyright notice appear in all copies and that both that copyright
# notice and this permission notice appear in supporting documentation.
#
# Makefile
# 
# Makefile for field build of HDFEOS
#
# The following environment variables must be defined:
#
#   Flags:
#     AR           library archiving program and flags (e.g.: ar -r)
#     CC           C language compiler (e.g.: cc)
#     CFHFLAGS     C compiler flags and cfortran.h switches
#                  (e.g.: -Xa -O -DsunFortan)
#     RANLIB       ranlib program (e.g. ranlib)
#
#   Directories:
#     HDFEOS5_INC   HDF-EOS include directory ($HDFEOS5_HOME/include)
#     HDFEOS5_LIB   HDF-EOS library directory ($HDFEOS5_HOME/lib/$BRAND)
#     HDFEOS5_OBJ   HDF-EOS object directory ($HDFEOS5_HOME/obj/$BRAND)

# force make program to use bourne shell
SHELL=/bin/sh

# define remove utility
RM = rm -f 

AR = ar -r

# define C preprocessor symbols 
DFLAGS = -D$(HDFSYS) -DHDFVIEWPLUGIN

# location of include files need to compile source code
IFLAGS = -I. -I$(HDFEOS5_INC) -I$(HDF5INC)

# object files needed to build library
LIBOFILES = \
	$(HDFEOS5_OBJ)/EHapi.o \
	$(HDFEOS5_OBJ)/TSapi.o \
	$(HDFEOS5_OBJ)/PTapi.o \
	$(HDFEOS5_OBJ)/GDapi.o \
	$(HDFEOS5_OBJ)/SWapi.o \
	$(HDFEOS5_OBJ)/ZAapi.o

# default target, this just builds the hdfeos5 library
all:
	@if [ "$(BRAND)" = "sun4" ] ; then				\
		$(MAKE) $(MFLAGS) $(HDFEOS5_LIB)/libhe5_hdfeos.a ranlib;	\
	else								\
		$(MAKE) $(MFLAGS) $(HDFEOS5_LIB)/libhe5_hdfeos.a;		\
	fi

$(HDFEOS5_LIB)/libhe5_hdfeos.a: $(LIBOFILES)
	$(AR) $@ $?

ranlib:
	$(RANLIB) $(HDFEOS5_LIB)/libhe5_hdfeos.a

install: 
	@echo "no binaries to move"
	@echo "don't worry"

clean:
	$(RM) *.o $(HDFEOS5_OBJ)/*.o


$(HDFEOS5_OBJ)/EHapi.o : EHapi.c 
	$(CC) $(CFHFLAGS) $(DFLAGS) $(IFLAGS) -c $? -o $@

$(HDFEOS5_OBJ)/TSapi.o : TSapi.c
	$(CC) $(CFHFLAGS) $(DFLAGS) $(IFLAGS) -c $? -o $@

$(HDFEOS5_OBJ)/PTapi.o : PTapi.c
	$(CC) $(CFHFLAGS) $(DFLAGS) $(IFLAGS) -c $? -o $@

$(HDFEOS5_OBJ)/SWapi.o : SWapi.c
	$(CC) $(CFHFLAGS) $(DFLAGS) $(IFLAGS) -c $? -o $@

$(HDFEOS5_OBJ)/GDapi.o : GDapi.c
	$(CC) $(CFHFLAGS) $(DFLAGS) $(IFLAGS) -c $? -o $@

$(HDFEOS5_OBJ)/ZAapi.o : ZAapi.c
	$(CC) $(CFHFLAGS) $(DFLAGS) $(IFLAGS) -c $? -o $@

.c.o:
	$(MAKE) $(MFLAGS) $(HDFEOS5_OBJ)/$@

=== debian/changelog ===
hdf-eos5 (5.1.14+dfsg.1-1ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Turn lots of overlapping strcpy calls into memmove.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Dec 2012 18:29:46 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.hdfeos.org
 Build-Depends: debhelper (>> 8.1.3~), dh-buildinfo, gfortran, libhdf5-serial-dev, libjpeg-dev, zlib1g-dev, autotools-dev, libtool, libgctp-dev, chrpath, autoconf, automake, dh-autoreconf
 
@@ -23,7 +23,6 @@
 
 Package: libhe5-hdfeos-dev
 Architecture: any
-Multi-Arch: same
 Section: libdevel
 Depends: libhe5-hdfeos0 (= ${binary:Version}), ${misc:Depends}
 Recommends: pkg-config

=== debian/rules ===
#!/usr/bin/make -f

# Comment out this line for debugging
#export DH_VERBOSE:=1

# The magic rule for debhelper
%:
	dh $@ --with autoreconf

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)


# Disable checks: known bad test case ignored this release
DEB_CONFIGURE_EXTRA_FLAGS :=  --enable-shared --with-pic
DEB_CONFIGURE_SCRIPT_ENV += \

override_dh_configure:
	dh_configure --  --enable-shared --with-pic  \
    		CFLAGS="-D_HDFEOS5_THREADSAFE" CPPFLAGS="-Df2cFortran -I/usr/include/hdf"
	# Needed for the pthreads tests
	cp  samples/simple.txt testdrivers/threads

override_dh_auto_test:
	echo "Tests disabled in this version - known ok failures" 


override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/libhe5-hdfeos-dev/${LIBDIR}/pkgconfig debian/libhe5-hdfeos0/${LIBDIR}
	mv hdf-eos5.pc debian/libhe5-hdfeos-dev/${LIBDIR}/pkgconfig
	mv debian/tmp/${LIBDIR}/libhe5_hdfeos.so.0.0.0  debian/libhe5-hdfeos0/${LIBDIR}
	cp debian/tmp/usr/lib/*/*.a debian/libhe5-hdfeos-dev/${LIBDIR}
	cp -a samples/* debian/libhe5-hdfeos-dev/usr/share/doc/libhe5-hdfeos-dev/examples
	chmod -x debian/libhe5-hdfeos-dev/usr/share/doc/libhe5-hdfeos-dev/examples/*
	dh_link -p libhe5-hdfeos-dev ${LIBDIR}/libhe5_hdfeos.so.0.0.0 ${LIBDIR}/libhe5_hdfeos.so
	dh_link -p libhe5-hdfeos0   ${LIBDIR}/libhe5_hdfeos.so.0.0.0 ${LIBDIR}/libhe5_hdfeos.so.0
		

#install/libhe5-hdfeos0::

=== debian/watch ===
--- 
+++ 
@@ -3,5 +3,6 @@
 
 # This the format for an FTP site:
 # Full-site-with-pattern  [Version  [Action]]
+opts=dversionmangle=s/\+dfsg\.\d+$// \
 ftp://edhs1.gsfc.nasa.gov/edhs/hdfeos5/HDF-EOS5\.(.*)\.tar\.Z \
 	debian uupdate
